@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";
@use "../abstracts/variables";

.content-box {
    background-color: map.get(colors.$colors, content-box);
    color: map.get(colors.$colors, text);
    border-radius: variables.$border-radius;
    padding: 0.5rem 1rem;
    margin: 0.5rem 0;

    h3 {
        font-size: 1rem;
        margin-top: 0.5rem;
        margin-bottom: 0;
    }

    p {
        margin: 0;
    }
}

#socials {
    h2 {
        font-size: 1rem;
    }
}

.social-icons {
    display: flex;
    flex-direction: row;
    margin-top: 0.5rem;
}

.social-icon {
    margin: 0 1rem;

    a,
    a:hover {
        color: map.get(colors.$colors, text);
    }
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 2rem;
    margin: 1.5rem 0;
}

.event-container {
    display: flex;
    gap: 1rem;
    align-items: flex-start;
}

.event-icon {
    display: none;
    margin: 0 1rem;
    color: map.get(colors.$colors, event-icon);

    svg {
        max-width: 9.375rem;
    }

    @include mixins.respond-to(medium) {
        display: block;
    }
}

.event {
    h3 {
        margin-top: 0;
    }
}
